#include "DxLib.h"
#include "JankenProc.h"
#include "Draw.h"
#include "Sound.h"
#include "Keyboard.h"
#include "Control.h"



static State_e State; // ݂̏
static int Count = 0; // `p̃JEg

void Control_StateInitilize(){
	if( Keyboard_Get( KEY_INPUT_RETURN ) == 2 ){ // G^[L[ꂽ
		State = STATE_UNINP; // Ԃ𖢓͂ɃZbg
		Count = 0; // `p̃JEg
	}
}

void Control_UpdateMain(){
	JankenResult_e JankenResult;
	
	if( Keyboard_Get( KEY_INPUT_Z ) == 2 || Keyboard_Get( KEY_INPUT_X ) == 2 || Keyboard_Get( KEY_INPUT_C ) == 2 ){ //͂

		if( State == STATE_UNINP || State == STATE_AIKO ){ // ͑҂Ȃ

			JankenProc_UpdatePlayerHand();  // vC[̎擾

			JankenProc_UpdateCPUHand(); // CPU̎擾

			JankenResult = JankenProc_Calc(); // 񂯂񌋉ʂvZ
			
			switch( JankenResult ){ // ʂɉďԂύX
				case JANKEN_RESULT_AIKO:
					State = STATE_AIKO;
					break;
				case JANKEN_RESULT_KATI:
					State = STATE_KATI;
					break;
				case JANKEN_RESULT_MAKE:
					State = STATE_MAKE;
					break;
				default:
					State = STATE_NO;
					break;
			}
		}
	}
	
}

void Control_Draw(){
	Draw_Message(); // ɕ\郁bZ[W`

	if( State != STATE_UNINP ){
		Draw_PlayerHand( JankenProc_GetPlayerHand() ); // vC[̎`
		Draw_CPUHand( JankenProc_GetCPUHand() ); // CPU̎`
		
		switch( State ){ // Ԃɍ킹Čʂ`
			case STATE_AIKO:
				Draw_Result_Aiko();
				break;
			case STATE_KATI:
				Draw_Result_Kati();
				Draw_EffectShine01( Count ); // ̃GtFNg`
				if( Count == 0 ){ // ŏɈ񂾂
					Sound_PlaySE01(); // ̌ʉĐ
				}
				Count++;
				break;
			case STATE_MAKE:
				Draw_Result_Make();
				if( Count == 0 ){ // ŏɈ񂾂
					Sound_PlaySE02(); // sǩʉĐ
				}
				Count++;
				break;
			default:
				break;
		}
	}

	
}