#include "DxLib.h"
#include "JankenProc.h"
#include "Draw.h"

static int White;
static int HandImage[3];
static int EffectImage_Shine[1];
static JankenHand_e PlayerHand, CPUHand;
static int ResultMessageImage[3];

void Draw_Initilize(){ // 
	HandImage[JANKEN_HAND_GU]    = LoadGraph( "摜/[.png" ); // 摜[h
	HandImage[JANKEN_HAND_TYOKI] = LoadGraph( "摜/傫.png" );
	HandImage[JANKEN_HAND_PA]    = LoadGraph( "摜/ρ[.png" );
	ResultMessageImage[RESULT_MESSAGE_AIKO] = LoadGraph( "摜/ŁEEE.png" ); // ʃbZ[W摜[h
	ResultMessageImage[RESULT_MESSAGE_KATI] = LoadGraph( "摜/.png" );
	ResultMessageImage[RESULT_MESSAGE_MAKE] = LoadGraph( "摜/	.png" );
	EffectImage_Shine[0] = LoadGraph( "摜/01.png" ); // GtFNg[h

	White = GetColor( 255, 255, 255 ); // F擾
}

void Draw_Message(  ){ // ɕ\郁bZ[W`
	DrawFormatString( 210, 10, White, "[=Z 傫=X ρ[=C");
	DrawFormatString( 130, 380, White, "" );
	DrawFormatString( 430, 380, White, "" );
	DrawFormatString( 210, 30, White, "G^[L[ŃZbg" );
}

void Draw_PlayerHand( JankenHand_e PlayerHand ){ // vC[̎`
	if( PlayerHand == JANKEN_HAND_GU ){
		DrawGraph( 80, 120, HandImage[JANKEN_HAND_GU], TRUE );
		DrawFormatString( 130, 340, White, "[" );
	}
	if( PlayerHand == JANKEN_HAND_TYOKI ){
		DrawGraph( 80, 120, HandImage[JANKEN_HAND_TYOKI], TRUE );
		DrawFormatString( 130, 340, White, "傫" );
	}
	if( PlayerHand == JANKEN_HAND_PA ){
		DrawGraph( 80, 120, HandImage[JANKEN_HAND_PA], TRUE );
		DrawFormatString( 130, 340, White, "ρ[" );
	}
}

void Draw_CPUHand( JankenHand_e CPUHand ){ // CPU̎`
	if( CPUHand == JANKEN_HAND_GU ){
		DrawGraph( 360, 120, HandImage[JANKEN_HAND_GU], TRUE );
		DrawFormatString( 430, 340, White, "[" );
	}
	if( CPUHand == JANKEN_HAND_TYOKI ){
		DrawGraph( 360, 120, HandImage[JANKEN_HAND_TYOKI], TRUE );
		DrawFormatString( 430, 340, White, "傫" );
	}
	if( CPUHand == JANKEN_HAND_PA ){
		DrawGraph( 360, 120, HandImage[JANKEN_HAND_PA], TRUE );
		DrawFormatString( 430, 340, White, "ρ[" );
	}
}

void Draw_Result_Aiko(){ // ()`
	DrawFormatString( 280, 300, White, "ŁEEE" );
}

void Draw_Result_Kati(){ // ()`
	DrawFormatString( 280, 300, White, "" );
}

void Draw_Result_Make(){ // ()`
	DrawFormatString( 280, 300, White, "" );
}

void Draw_EffectShine01( int Count ){ // ̃GtFNg`
	DrawRotaGraph( 100 - ( Count % 240 * 0.4 ), 100 + ( Count % 240 * 0.8 ), 0.3, Count * 0.1, EffectImage_Shine[0], TRUE );
	DrawRotaGraph( 220 + ( Count % 240 * 0.4 ), 100 + ( Count % 240 * 0.8 ), 0.3, Count * 0.1, EffectImage_Shine[0], TRUE );
	DrawRotaGraph( 160                        , 100 + ( Count % 240 * 0.8 ), 0.3, Count * 0.1, EffectImage_Shine[0], TRUE );
}
